Subject: Re: 2.6.24 BUG: soft lockup - CPU#X

From: jamal <[email-masked]>
Date: Fri, 28 Mar 2008 10:07:29 -0400

On Fri, 2008-28-03 at 21:26 +0800, Herbert Xu wrote:
> I agree that using jiffies is a pretty coarse approximation of
> proper scheduling.  However, in the absence of a better solution
> we have to live with it.

I know it works well enough and has for years; sure you could do better
but i wasnt questioning the solution - more than anything on my part
that was curiosity.

> Perhaps running these out of process context is the correct
> approach.

I saw something from Max Krasnyansky along those lines but havent quiet
followed it up. Should be interesting to see the effect over a large
types of workloads.

cheers,
jamal